/**
 ****************************************************************************************************
 * @file           HC_SR04.h
 * @author    YUQI
 * @version   V1.0
 * @date        2023-05-01
 * @brief        
 * @license
 ****************************************************************************************************
 * @attention
 *
 * ʵƽ̨: CH32V203C8T6
 *
 ****************************************************************************************************
 */

#ifndef DRIVERS_BSP_HC_SR04_HC_SR04_H_
#define DRIVERS_BSP_HC_SR04_HC_SR04_H_

#include "ch32v20x.h"

#define Echo GPIO_Pin_6                                     /* HC-SR04ģEchoŽPB6 */
#define Trig  GPIO_Pin_5                                     /* HC-SR04ģTrigŽPB5 */


void HC_SR04_Init(void);                /* ʼHC_SR04 */
int16_t sonar_mm(void);                 /* 벢صλΪ׵ľ */
float sonar(void);                               /* 벢صλΪ׵ľ */

#endif /* DRIVERS_BSP_HC_SR04_HC_SR04_H_ */
