/**
 ****************************************************************************************************
 * @file        OLED.h
 * @author      YUQI
 * @version     V1.0
 * @date        2023-05-01
 * @brief       OLEDʾⲿ
 * @license     
 ****************************************************************************************************
 * @attention
 *
 * ʵƽ̨: CH32V203C8T6
 *
 ****************************************************************************************************
 */

#ifndef DRIVERS_BSP_OLED_H_
#define DRIVERS_BSP_OLED_H_

#include "ch32v20x.h"
#include "ch32v20x_conf.h"

void OLED_Init(void);                                                                                                                                            /* OLEDʼ*/
void OLED_Clear(void);                                                                                                                                        /* OLED */
void OLED_ShowChar(uint8_t Line, uint8_t Column, char Char);                                                          /* OLEDʾһַ */
void OLED_Clear_Part(uint8_t Line,uint8_t start,uint8_t end);                                                               /* OLED */
void OLED_ShowString(uint8_t Line, uint8_t Column, char *String);                                                   /* OLEDʾַ */
void OLED_ShowNum(uint8_t Line, uint8_t Column, uint32_t Number, uint8_t Length);              /* OLEDʾ(ʮƣ) */
void OLED_ShowSignedNum(uint8_t Line, uint8_t Column, int32_t Number, uint8_t Length);   /* OLEDʾ(ʮƣ) */
void OLED_ShowHexNum(uint8_t Line, uint8_t Column, uint32_t Number, uint8_t Length);      /* OLEDʾ(ʮƣ) */
void OLED_ShowBinNum(uint8_t Line, uint8_t Column, uint32_t Number, uint8_t Length);       /* OLEDʾ(ƣ) */

#endif /* DRIVERS_BSP_OLED_H_ */
