/********************************** (C) COPYRIGHT *******************************
 * File Name          : ch32v20x_conf.h
 * Author             : WCH
 * Version            : V1.0.0
 * Date               : 2021/06/06
 * Description        : Library configuration file.
*********************************************************************************
* Copyright (c) 2021 Nanjing Qinheng Microelectronics Co., Ltd.
* Attention: This software (modified or not) and binary are used for 
* microcontroller manufactured by Nanjing Qinheng Microelectronics.
*******************************************************************************/
#ifndef __CH32V20x_CONF_H
#define __CH32V20x_CONF_H

#include "ch32v20x_it.h"

#include "../Drivers/CH32V203xx_STL_Driver/Inc/ch32v20x_adc.h"
#include "../Drivers/CH32V203xx_STL_Driver/Inc/ch32v20x_bkp.h"
#include "../Drivers/CH32V203xx_STL_Driver/Inc/ch32v20x_can.h"
#include "../Drivers/CH32V203xx_STL_Driver/Inc/ch32v20x_crc.h"
#include "../Drivers/CH32V203xx_STL_Driver/Inc/ch32v20x_dbgmcu.h"
#include "../Drivers/CH32V203xx_STL_Driver/Inc/ch32v20x_dma.h"
#include "../Drivers/CH32V203xx_STL_Driver/Inc/ch32v20x_exti.h"
#include "../Drivers/CH32V203xx_STL_Driver/Inc/ch32v20x_flash.h"
#include "../Drivers/CH32V203xx_STL_Driver/Inc/ch32v20x_gpio.h"
#include "../Drivers/CH32V203xx_STL_Driver/Inc/ch32v20x_i2c.h"
#include "../Drivers/CH32V203xx_STL_Driver/Inc/ch32v20x_iwdg.h"
#include "../Drivers/CH32V203xx_STL_Driver/Inc/ch32v20x_misc.h"
#include "../Drivers/CH32V203xx_STL_Driver/Inc/ch32v20x_pwr.h"
#include "../Drivers/CH32V203xx_STL_Driver/Inc/ch32v20x_rcc.h"
#include "../Drivers/CH32V203xx_STL_Driver/Inc/ch32v20x_rtc.h"
#include "../Drivers/CH32V203xx_STL_Driver/Inc/ch32v20x_spi.h"
#include "../Drivers/CH32V203xx_STL_Driver/Inc/ch32v20x_tim.h"
#include "../Drivers/CH32V203xx_STL_Driver/Inc/ch32v20x_usart.h"
#include "../Drivers/CH32V203xx_STL_Driver/Inc/ch32v20x_wwdg.h"


#endif /* __CH32V20x_CONF_H */


	
	
	
